Skip to main content
POST
/
v1
/
generation
/
almighty-reference-to-video
Submit Almighty Reference-to-Video Task
curl --request POST \
  --url https://api.weryai.com/v1/generation/almighty-reference-to-video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "WERYDANCE_2_0_FAST",
  "prompt": "Use image 1 as opening frame, keep style of video 1, and use audio 1 as BGM.",
  "images": [
    "https://example.com/image1.jpg"
  ],
  "videos": [
    "https://example.com/video1.mp4"
  ],
  "audios": [
    "https://example.com/audio1.mp3"
  ],
  "aspect_ratio": "16:9",
  "resolution": "720p",
  "duration": 5,
  "generate_audio": "false",
  "video_number": 4
}
'
import requests

url = "https://api.weryai.com/v1/generation/almighty-reference-to-video"

payload = {
"model": "WERYDANCE_2_0_FAST",
"prompt": "Use image 1 as opening frame, keep style of video 1, and use audio 1 as BGM.",
"images": ["https://example.com/image1.jpg"],
"videos": ["https://example.com/video1.mp4"],
"audios": ["https://example.com/audio1.mp3"],
"aspect_ratio": "16:9",
"resolution": "720p",
"duration": 5,
"generate_audio": "false",
"video_number": 4
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'WERYDANCE_2_0_FAST',
prompt: 'Use image 1 as opening frame, keep style of video 1, and use audio 1 as BGM.',
images: ['https://example.com/image1.jpg'],
videos: ['https://example.com/video1.mp4'],
audios: ['https://example.com/audio1.mp3'],
aspect_ratio: '16:9',
resolution: '720p',
duration: 5,
generate_audio: 'false',
video_number: 4
})
};

fetch('https://api.weryai.com/v1/generation/almighty-reference-to-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 0,
  "desc": "success",
  "message": "success",
  "data": {
    "task_id": "task_abc123",
    "task_status": "waiting"
  }
}
{
"status": 1001,
"desc": "Parameter error",
"message": "Prompt cannot be empty"
}
{
"status": 1002,
"desc": "Authentication failed",
"message": "Invalid API Key"
}

Authorizations

Authorization
string
header
required

Authenticate using Bearer token. Get your API Key from the WeryAI Console.

Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx

Body

application/json
model
string
required

Model Key. Supported models for almighty-reference-to-video:

Model NameModel Key
Werydance 2.0WERYDANCE_2_0
Werydance 2.0 FastWERYDANCE_2_0_FAST
Example:

"WERYDANCE_2_0_FAST"

duration
integer
required

Generated video duration in seconds. Range: 4-15. Example values: 4, 10, 15.

Required range: 4 <= x <= 15
Example:

4

prompt
string

Prompt text (max 2000 characters).

Maximum string length: 2000
images
string<uri>[]

Reference image URLs (0~9). Optional, but at least one of images or videos must be provided.

Required array length: 1 - 9 elements
videos
string<uri>[]

Reference video URLs (max 3; each 2~15s; total <= 15s). Optional, but at least one of images or videos must be provided.

Required array length: 1 - 3 elements
audios
string<uri>[]

Reference audio URLs (max 3; each 2~15s; total <= 15s). Cannot be used alone without images or videos.

Required array length: 1 - 3 elements
aspect_ratio
string

Video aspect ratio. Supported values: 1:1, 9:16, 16:9.

Example:

"16:9"

resolution
string

Video resolution. Supported values: 480p, 720p. For Werydance 2.0 model, 1080p is also supported. Werydance 2.0 Fast does not support 1080p.

Example:

"720p"

generate_audio
string

Whether to generate audio. Enter true or false manually.

Example:

"false"

video_number
enum<integer>
default:1

Number of videos to generate (1~4).

Available options:
1,
2,
3,
4
webhook_url
string<uri>

Callback URL

caller_id
integer<int64>

Caller ID

Response

Task submitted successfully

status
integer

Business status code (0 indicates success)

Example:

0

desc
string

Status description

Example:

"success"

message
string

Multi-language message

Example:

"success"

data
object